%define upstream_name    Test-PerlTidy
%define upstream_version 20230226

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check that all your files are tidy
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Path::Tiny) >= 0.100.0
BuildRequires: perl(Perl::Tidy) >= 20220613.0.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Diff)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This rather unflattering comment was made in a piece by Ken Arnold:

    "Perl is a vast swamp of lexical and syntactic swill and nobody
    knows how to format even their own code well, but it's the only
    major language I can think of (with the possible exception of the
    recent, yet very Java-like C#) that doesn't have at least one
    style that's good enough."
              https://www.artima.com/weblogs/viewpost.jsp?thread=74230

Hmmm... He is sort of right in a way. Then again the piece he wrote was
related to Python which is somewhat strict about formatting itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Aug 29 2023 tv <tv> 20230226.0.0-1.mga10
+ Revision: 1981030
- update to 20230226

* Mon Sep 05 2022 tv <tv> 20220902.0.0-1.mga9
+ Revision: 1884082
- update to 20220902

* Mon Mar 21 2022 umeabot <umeabot> 20210709.0.0-2.mga9
+ Revision: 1814742
- Mageia 9 Mass Rebuild

* Sat Jul 17 2021 tv <tv> 20210709.0.0-1.mga9
+ Revision: 1736374
- update to 20210709

* Thu Oct 01 2020 tv <tv> 20200930.0.0-1.mga8
+ Revision: 1631396
- update to 20200930

* Mon Apr 13 2020 tv <tv> 20200412.0.0-1.mga8
+ Revision: 1567082
- update to 20200412

* Sun Apr 12 2020 tv <tv> 20200411.0.0-1.mga8
+ Revision: 1566835
- update to 20200411

* Sat Feb 15 2020 umeabot <umeabot> 20190402.0.0-2.mga8
+ Revision: 1525197
- Mageia 8 Mass Rebuild

* Thu Apr 04 2019 tv <tv> 20190402.0.0-1.mga7
+ Revision: 1385750
- update to 20190402

* Sat Mar 09 2019 shlomif <shlomif> 20190309.1.0-1.mga7
+ Revision: 1373156
- update to 20190309.001

* Sat Mar 09 2019 shlomif <shlomif> 20190309.0.0-1.mga7
+ Revision: 1372984
- update to 20190309

* Wed Sep 19 2018 umeabot <umeabot> 20130104.0.0-2.mga7
+ Revision: 1271985
- Mageia 7 Mass Rebuild

* Thu Dec 01 2016 shlomif <shlomif> 20130104.0.0-1.mga6
+ Revision: 1071478
- spec cleanups
- Importing perl-Test-PerlTidy

